/* border: 1px solid rgba(255, 255, 255, 0.1); */
.index-text-container
{
    /* layout */
    display: flex;
    align-self: center;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 39%;
    gap: 30px;
    height: 60vh;
}

.index-text-header
{
    /* layout */
    display: flex;
    align-items: flex-start;
    justify-content: center;
    flex-direction: column;
}

.index-text-body
{
    /* layout */
    display: flex;
    align-items: flex-start;
    justify-content: center;
    flex-direction: column;
    width: 100%;
    font-weight: 200;

    text-align: center;
}

/* project cards */
.project-cards-outer
{
    /* layout */
    align-self: center;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
    width: 80%;

    box-sizing: border-box;
    text-transform: uppercase;
}

.project-cards-inner
{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    gap: 105px;
    
}

.project-card
{
    position: relative;
    width: 585px;
    height: 585px;
    overflow: hidden;
    border-radius: 5%;
}

.project-img
{
    width: 100%;
    height: 100%;
}

.project-img img
{
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: all 1.5s cubic-bezier(0.075, 0.82, 0.165, 1);
    filter: grayscale(0) sepia(0) brightness(1);
}

.project-overlay
{
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
}

.project-overlay > div
{
    flex: 1;
    display: flex;
    align-items: center;
}



.project-overlay-1 {
    padding-left: 40px;
}

.project-overlay-2 {
    padding-right: 40px;
    justify-content: flex-end;
}

.shape {
    width: 200px;
    height: 200px;
    background: rgba(255, 255, 255, 0.1);
    backdrop-filter: blur(20px);
    color: #ffffff;
    font-size: 10px;
    padding: 10px;
    transform: scale(0.75);
    transition: all 1s cubic-bezier(0.075, 0.82, 0.165, 1);
    opacity: 0;
}

.shape
{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    clip-path: polygon(
        0% 0px,
        0px 0%,
        calc(100% - 50px) 0px,
        100% 50px,
        100% 100%,
        calc(100% - 0px) 100%,
        50px 100%,
        0px calc(100% - 50px)
    );
}

.shape #number
{
    padding: 20px 10px;
    font-size: 50px;
    font-weight: 900;
}

.text-right
{
    text-align: right;
    font-size: 15px;
    line-height: 100%;
}

.text-right-outer
{
    display: flex;
    flex-direction: column;
    padding: 20px
}

.project-card:hover img
{
    transform: scale(1.5);
    filter: grayscale(0.5) sepia(0.75) brightness(0.75);
}

.project-card:hover .shape
{
    opacity: 1;
    transform: scale(1);
}